# This file created by conda-build 3.16.1
# meta.yaml template originally from:
# /opt/concourse/worker/volumes/live/ca0fc583-8881-441d-6697-53dd4aa3c992/volume/rsync-recipes/mercurial-4.7.2-python_2.7-on-osx, last modified Sat Oct 20 13:11:31 2018
# ------------------------------------------------

package:
    name: mercurial
    version: 4.7.2
source:
    fn: mercurial-4.7.2.tar.gz
    sha256: 97f0594216f2348a2e37b2ad8a56eade044e741153fee8c584487e9934ca09fb
    url: https://mercurial-scm.org/release/mercurial-4.7.2.tar.gz
build:
    number: '0'
    script: python setup.py install
    string: py27h1de35cc_0
requirements:
    build:
        - cctools 895 h7512d6f_0
        - clang 4.0.1 h662ec87_0
        - clang_osx-64 4.0.1 h1ce6c1d_11
        - compiler-rt 4.0.1 h5487866_0
        - ld64 274.2 h7c2db76_0
        - libcxx 4.0.1 h579ed51_0
        - libcxxabi 4.0.1 hebd6815_0
        - llvm 4.0.1 hc748206_0
        - llvm-lto-tapi 4.0.1 h6701bc3_0
    host:
        - ca-certificates 2018.03.07 0
        - libcxx 4.0.1 h579ed51_0
        - libcxxabi 4.0.1 hebd6815_0
        - libedit 3.1.20170329 hb402a30_2
        - libffi 3.2.1 h475c297_4
        - ncurses 6.1 h0a44026_0
        - openssl 1.0.2p h1de35cc_0
        - python 2.7.15 h138c1fe_0
        - readline 7.0 h1de35cc_5
        - sqlite 3.25.2 ha441bb4_0
        - tk 8.6.8 ha441bb4_0
        - zlib 1.2.11 hf3cbc9b_2
    run:
        - pygments
        - python >=2.7,<2.8.0a0
test:
    commands:
        - hg --version
    imports:
        - hgdemandimport
        - hgext
        - hgext.convert
        - hgext.fsmonitor
        - hgext.fsmonitor.pywatchman
        - hgext.fsmonitor.pywatchman.bser
        - hgext.highlight
        - hgext.infinitepush
        - hgext.largefiles
        - hgext.lfs
        - hgext.narrow
        - hgext.zeroconf
        - hgext3rd
        - mercurial
        - mercurial.cext
        - mercurial.cffi
        - mercurial.hgweb
        - mercurial.pure
        - mercurial.utils
about:
    description: 'Mercurial is a free, distributed source control management tool.
        It

        efficiently handles projects of any size and offers an easy and intuitive

        interface.

        '
    dev_url: https://www.mercurial-scm.org/repo/hg
    doc_url: https://www.mercurial-scm.org/guide
    home: http://mercurial-scm.org
    license: GPL2
    license_file: COPYING
    summary: Source control management tool
extra:
    copy_test_source_files: true
    final: true
    recipe-maintainers:
        - nehaljwani
        - ngoldbaum
